Overview

Get metric tags for a dataset

Get metric tags for a dataset.

Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see Query data and Edge deployments.

The base domain for this endpoint is the base domain of the edge deployment where you want to query data.

Edge deployment Base domain for ingest and query
US East 1 (AWS) us-east-1.aws.edge.axiom.co
EU Central 1 (AWS) eu-central-1.aws.edge.axiom.co

This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see Tokens.

GET/v1/query/metrics/info/datasets/{dataset}/metrics/{metric}/tags
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input4
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
datasetstring · pathrequired
(path) The dataset to retrieve metric tags from
metricstring · pathrequired
(path) The metric name to retrieve tags for
startstring · queryrequired
(query) Start time for timeframe to return (RFC3339 format)
endstring · queryrequired
(query) End time for timeframe to return (RFC3339 format)
Responses
200Tag names for the specified metric
404Dataset or metric not found
defaultUser or system error
Example input
curl 'https://AXIOM_DOMAIN/v1/query/metrics/info/datasets/{dataset}/metrics/{metric}/tags?start=<start>&end=<end>' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  "string"
]

Updated

Was this page helpful?